Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000578Core InformRelationspublic2011-02-21 12:262014-05-07 07:35
Reportermattweiner 
Assigned Tograham 
PrioritynormalSeverityseriousReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.5
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000578: Fast Route-Finding Fails with Relations
DescriptionWhen using fast route-finding with a user-defined relation, the next step along the route is an invalid answer even if a route exists.
Minimal Source Text To Reproduce
Lab is a room.
 A theme is a kind of thing. Love is a theme. Loss is a theme. Lust is a theme.
Suggesting relates various themes to each other with fast route-finding. The verb to suggest (he suggests, 
they suggest, he suggested, it is suggested, he is suggesting) implies the suggesting relation. Love 
suggests Loss. Loss suggests Love. Loss suggests Lust. Lust suggests Loss.

Every turn: say "[The next step via the suggesting relation from Love to Lust]."

Test me with "z".
Additional InformationThis yields the output "Class." Deleting "with fast route-finding" yields the correct output, "Loss."
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0001059)
EmacsUser (manager)
2011-02-27 20:39
edited on: 2011-02-27 20:40

Confirmed. The ``return oy'' in this part of FastVtoVRelRouteTo ought to return ox instead:

- - - -
            oy = cache2->((from.left_ix)*domainsize + (to.left_ix));
            if (oy < 255)
                objectloop (ox provides left_ix)
                    if (ox.left_ix == oy) return oy;
            return nothing;
- - - -

Edit: fixed indentation.

(0002332)
graham (administrator)
2014-01-19 13:44

The most generous kind of bug report: the one with a correct fix appended. Many thanks.

- Issue History
Date Modified Username Field Change
2011-02-21 12:26 mattweiner New Issue
2011-02-24 20:41 jmcgrew Severity mild => serious
2011-02-24 20:41 jmcgrew Status new => acknowledged
2011-02-27 20:39 EmacsUser Note Added: 0001059
2011-02-27 20:39 EmacsUser Status acknowledged => confirmed
2011-02-27 20:40 EmacsUser Note Edited: 0001059 View Revisions
2014-01-19 13:44 graham Note Added: 0002332
2014-01-19 13:44 graham Status confirmed => resolved
2014-01-19 13:44 graham Resolution open => fixed
2014-01-19 13:44 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:35 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker